<?php
/**
 * Header Template
 *
 * The header template is generally used on every page of your site. Nearly all other
 * templates call it somewhere near the top of the file. It is used mostly as an opening
 * wrapper, which is closed with the footer.php file. It also executes key functions needed
 * by the theme, child themes, and plugins. 
 *
 * @package dkret3
 */

$data = get_theme_data( get_stylesheet_directory() . '/style.css' );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta http-equiv="X-UA-Compatible" content="chrome=1">
    <title><?php dkret_document_title(); ?></title>
    <meta name="template" content="<?php echo esc_attr( $data['Title'] ); ?>" />
    <link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" type="text/css" media="screen, projection" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <link rel="shortcut icon" href="<?php get_stylesheet_directory_uri(); ?>/library/images/favicon.ico" />
    
    <?php if ( is_singular() && get_option('thread_comments') ) wp_enqueue_script( 'comment-reply' ); ?> 
    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<?php /* dkret3 Hook */ do_action( 'dkret_before_html' ); ?>

<div id="wrapper" class="hfeed">

    <?php /* dkret3 Hook */ do_action( 'dkret_before_header' ); ?>

    <div id="header"<?php if( get_dkret_option( 'header_link' ) ) : ?> onclick="location.href='<?php home_url(); ?>'"<?php endif; ?> role="banner">

        <?php /* dkret3 Hook */ do_action( 'dkret_header' ); ?>

    </div>
  
    <?php /* dkret3 Hook */ do_action( 'dkret_after_header' ); ?>