<?php
/**
 * Template Name: No Sidebar Page
 *
 * A custom page template without sidebar.
 * Selectable from a dropdown menu on the edit page screen.
 *
 * @package dkret3
 * @since 3.6
 */

get_header() ?>

    <div id="container">

        <?php /* dkret3 Hook */ do_action( 'dkret_before_container' ); ?>    

        <div id="content" class="widecolumn" role="main">

            <?php /* dkret3 Hook */ do_action( 'dkret_before_content' ); ?>

            <?php the_post() ?>
            
            <div id="post-<?php the_ID(); ?>" <?php post_class() ?>>

                <?php /* dkret3 Hook */ do_action( 'dkret_before_entry' ); ?>

                <div class="entry-content">

                    <?php the_content(); ?>
                    
                    <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'dkret' ), 'after' => '</div>' ) ); ?>

                </div><!-- .entry-content -->

                <?php /* dkret3 Hook */ do_action( 'dkret_after_entry' ); ?>

            </div><!-- #post-ID -->
            
            <?php /* dkret3 Hook */ do_action( 'dkret_after_singular' ); ?>

            <?php comments_template() ?>

            <?php /* dkret3 Hook */ do_action( 'dkret_after_content' ); ?>

        </div><!-- #content -->

        <?php /* dkret3 Hook */ do_action('dkret_after_container'); ?>

    </div><!-- #container -->

<?php get_sidebar('subsidiary') ?>
<?php get_footer() ?>